## Spring Cloud Contract Maven Plugin

## spring-cloud-contract:generateStubs

Full name:

org.springframework.cloud:spring-cloud-contract-maven-plugin:1.0.6.BUILD-SNAPSHOT:generateStubs

Description:

Picks the converted .json files and creates a jar. Requires convert to be executed first

Attributes:

- Requires a Maven project to be executed.
- Binds by default to the lifecycle phase: `package`.

### Optional Parameters

Name | Type | Since | Description
--- | --- | --- | ---
attachContracts | `boolean` | `-` | (no description) Default value is: `true`.
classifier | `String` | `-` | (no description) Default value is: `stubs`.
excludedFiles | `String[]` | `-` | Patterns that should not be taken into account for processing
jarSkip | `boolean` | `-` | Set this to "true" to bypass only JAR creation Default value is: `false`. User property is: `spring.cloud.contract.verifier.jar.skip`.
outputDirectory | `File` | `-` | (no description) Default value is: `${project.build.directory}/stubs`. User property is: `stubsDirectory`.
skip | `boolean` | `-` | Set this to "true" to bypass the whole Verifier execution Default value is: `false`. User property is: `spring.cloud.contract.verifier.skip`.

### Parameter Details

attachContracts:

(no description)

- Type: `boolean`
- Required: `No`
- Default: `true`

classifier:

(no description)

- Type: `java.lang.String`
- Required: `No`
- Default: `stubs`

excludedFiles:

Patterns that should not be taken into account for processing

- Type: `java.lang.String[]`
- Required: `No`

jarSkip:

Set this to "true" to bypass only JAR creation

- Type: `boolean`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.jar.skip`
- Default: `false`

outputDirectory:

(no description)

- Type: `java.io.File`
- Required: `No`
- User Property: `stubsDirectory`
- Default: `${project.build.directory}/stubs`

skip:

Set this to "true" to bypass the whole Verifier execution

- Type: `boolean`
- Required: `No`
- User Property: `spring.cloud.contract.verifier.skip`
- Default: `false`